Bug 1771238 - [abrt] ibus: switcher_run(): ibus-ui-gtk3 killed by SIGABRT
Summary: [abrt] ibus: switcher_run(): ibus-ui-gtk3 killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e8dc3c2cd7f17bd89bfaa9344e2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-12 02:31 UTC by Huang, Chih-Wei
Modified: 2020-05-20 03:20 UTC (History)
1 user (show)

Fixed In Version: ibus-1.5.22-7.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-20 03:20:23 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (34.75 KB, text/plain)
2019-11-12 02:32 UTC, Huang, Chih-Wei
no flags Details
File: cgroup (511 bytes, text/plain)
2019-11-12 02:32 UTC, Huang, Chih-Wei
no flags Details
File: core_backtrace (13.17 KB, text/plain)
2019-11-12 02:32 UTC, Huang, Chih-Wei
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2019-11-12 02:32 UTC, Huang, Chih-Wei
no flags Details
File: dso_list (9.51 KB, text/plain)
2019-11-12 02:32 UTC, Huang, Chih-Wei
no flags Details
File: environ (467 bytes, text/plain)
2019-11-12 02:32 UTC, Huang, Chih-Wei
no flags Details
File: limits (1.29 KB, text/plain)
2019-11-12 02:32 UTC, Huang, Chih-Wei
no flags Details
File: maps (53.15 KB, text/plain)
2019-11-12 02:32 UTC, Huang, Chih-Wei
no flags Details
File: mountinfo (3.87 KB, text/plain)
2019-11-12 02:32 UTC, Huang, Chih-Wei
no flags Details
File: open_fds (1.08 KB, text/plain)
2019-11-12 02:32 UTC, Huang, Chih-Wei
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-11-12 02:32 UTC, Huang, Chih-Wei
no flags Details

Description Huang, Chih-Wei 2019-11-12 02:31:59 UTC
Description of problem:
When I switch input method, ibus just crashed

Version-Release number of selected component:
ibus-1.5.20-5.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-ui-gtk3
crash_function: switcher_run
executable:     /usr/libexec/ibus-ui-gtk3
journald_cursor: s=ff96b9fcc4f2442c989b9aee45ef8068;i=4f2bd;b=a559cd43a2794c74b80960bd90235c60;m=17e21a25238;t=5971cd58ff476;x=d0ef84fbad56e406
kernel:         5.3.6-200.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1676979

Comment 1 Huang, Chih-Wei 2019-11-12 02:32:02 UTC
Created attachment 1635168 [details]
File: backtrace

Comment 2 Huang, Chih-Wei 2019-11-12 02:32:03 UTC
Created attachment 1635169 [details]
File: cgroup

Comment 3 Huang, Chih-Wei 2019-11-12 02:32:04 UTC
Created attachment 1635170 [details]
File: core_backtrace

Comment 4 Huang, Chih-Wei 2019-11-12 02:32:06 UTC
Created attachment 1635171 [details]
File: cpuinfo

Comment 5 Huang, Chih-Wei 2019-11-12 02:32:07 UTC
Created attachment 1635172 [details]
File: dso_list

Comment 6 Huang, Chih-Wei 2019-11-12 02:32:08 UTC
Created attachment 1635173 [details]
File: environ

Comment 7 Huang, Chih-Wei 2019-11-12 02:32:09 UTC
Created attachment 1635174 [details]
File: limits

Comment 8 Huang, Chih-Wei 2019-11-12 02:32:11 UTC
Created attachment 1635175 [details]
File: maps

Comment 9 Huang, Chih-Wei 2019-11-12 02:32:12 UTC
Created attachment 1635176 [details]
File: mountinfo

Comment 10 Huang, Chih-Wei 2019-11-12 02:32:13 UTC
Created attachment 1635177 [details]
File: open_fds

Comment 11 Huang, Chih-Wei 2019-11-12 02:32:14 UTC
Created attachment 1635178 [details]
File: proc_pid_status

Comment 12 Ben Cotton 2020-04-30 20:43:43 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 fujiwara 2020-05-14 03:11:02 UTC
Now I may understand this issue.

(In reply to Huang, Chih-Wei from comment #1)
> Created attachment 1635168 [details]
> File: backtrace

#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#1  0x00007faa587aa895 in __GI_abort () at abort.c:79
#2  0x00007faa5896ab53 in g_assertion_message (domain=<optimized out>, file=<optimized out>, line=<optimized out>, func=0x561dea188f68 <__func__.65787> "switcher_run", message=<optimized out>) at ../glib/gtestutils.c:2878
#3  0x00007faa589c66df in g_assertion_message_expr (domain=domain@entry=0x561dea182011 "IBUS", file=file@entry=0x561dea188b5f "switcher.c", line=line@entry=404, func=func@entry=0x561dea188f68 <__func__.65787> "switcher_run", expr=expr@entry=0x561dea188bd3 "m_loop == null") at ../glib/gtestutils.c:2904
        s = 0x7faa48029f90 "assertion failed: (m_loop == null)"
#4  0x0000561dea17f137 in switcher_run (self=0x561debf564a0, keyval=keyval@entry=32, state=<optimized out>, event=event@entry=0x7faa4c007670, engines=<optimized out>, engines_length1=<optimized out>, index=1, input_context_path=0x7faa48183990 "/org/freedesktop/IBus/InputContext_38") at switcher.c:404
#5  0x0000561dea176267 in panel_handle_engine_switch (reverse=0, event=0x7faa4c007670, self=0x561debb911e0) at panel.c:3291
#6  panel_handle_engine_switch (self=0x561debb911e0, event=0x7faa4c007670, reverse=0) at panel.c:3224
#7  0x0000561dea171420 in keybinding_manager_event_handler (event=0x7faa4c007670, self=<optimized out>) at keybindingmanager.c:1097
#8  _keybinding_manager_event_handler_gdk_event_func (event=0x7faa4c007670, self=<optimized out>) at keybindingmanager.c:212
#9  0x00007faa59088f79 in _gdk_event_emit (event=event@entry=0x7faa4c007670) at gdkevents.c:73

Comment 14 Fedora Update System 2020-05-15 13:36:33 UTC
FEDORA-2020-53b52887ee has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-53b52887ee

Comment 15 Fedora Update System 2020-05-16 05:06:56 UTC
FEDORA-2020-53b52887ee has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-53b52887ee`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-53b52887ee

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2020-05-20 03:20:23 UTC
FEDORA-2020-53b52887ee has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.